
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【PL/SQL 学习】隐式游标学习 / iVAN</title>

    <meta name="description" content="【PL/SQL 学习】隐式游标学习 --oracle 会为每一个非显示游标的sql dml 语句都创建一个隐式游标,隐式游标也称为sql 游标.与显示游标不同,不能对一个隐式游标执行open,close和fetch语句.oracle 隐式的打开sql游标,处理sql游标,然后再关闭该游标. declare   vid t.object_id%type;   vowner t.owner%type;  begin    select object_id ,owner into vid,vowner from t where rown">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【PL/SQL 学习】隐式游标学习</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>--oracle 会为每一个非显示游标的sql dml 语句都创建一个隐式游标，隐式游标也称为sql 游标。与显示游标不同，不能对一个隐式游标执行open，close和fetch语句。oracle 隐式的打开sql游标，处理sql游标，然后再关闭该游标。<br />
declare<br />
  vid t.object_id%type;<br />
  vowner t.owner%type;<br />
 begin<br />
   select object_id ,owner into vid,vowner from t where rownum &lt;2;<br />
   if sql%isopen then<br />
     dbms_output.put_line('it is not possiable');<br />
     else<br />
       dbms_output.put_line('vid is  '||vid||'  vowner is '||vowner);<br />
       dbms_output.put_line('%isopen 的属性为false');<br />
   end if;<br />
 end;<br />
输出为：<br />
vid is  1  vowner is SYS<br />
%isopen 的属性为false<br />--和显示游标一样，隐式游标也有四大属性%FOUND,%ISOPEN,%NOTFOUND,%ROWCOUNT.由于隐式游标没有名次，oracle提供了一种方法在属性前面加 关键字 SQL,这样我们就可以使用这些属性了。<br />
例子如下：<br />
declare<br />
  vid t.object_id%type;<br />
  vowner t.owner%type;<br />
  rowsnum integer;<br />
 begin<br />
   select object_id ,owner into vid,vowner from t where rownum &lt;2;<br />
   rowsnum := sql%rowcount;<br />
     dbms_output.put_line('vid is  '||vid||'  vowner is '||vowner);<br />
     dbms_output.put_line('rowsnum is '||rowsnum);<br />
     if sql%found then <br />
        dbms_output.put_line('sql%found is true;');<br />
     else <br />
        dbms_output.put_line('sql%found is false;');<br />
     end if;<br />
     if sql%notfound then <br />
         dbms_output.put_line('sql%notfound is true;');<br />
     else<br />
         dbms_output.put_line('sql%notfound is false;');<br />
     end if;<br />
end;  <br />
输出为：<br />
vid is  1  vowner is SYS<br />
rowsnum is 1<br />
sql%found is true;<br />
sql%notfound is false;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 04:52:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【PL/SQL 学习】隐式游标学习的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWl25ep.html" rel="bookmark">PL&sol;SQL --&amp;amp&semi;gt&semi;隐式游标&lpar;SQL&percnt;FOUND&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				--=============================== -- PL/SQL --&gt;隐式游标(SQL%FOUND) --===============================       在PL/SQL中,游标的使用分为两种,一种是显示游标,一种是隐式游标,显示游标的使用需要事先使用declare来进行声明,其过程包括 声明游标,打开游标,从游标提取数据,关闭游标.该方式多用于处理select语句返回的多行数据的情形.而隐式游标则由则由系统自动定义 ,当DML被使用时,Orac			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAY4GM.html" rel="bookmark">ORACLE PL&sol;SQL编程之把游标说透</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇主要内容 如下: 4.1 游标概念 4.1.1 处理显式游标 4.1.2 处理隐式游标 4.1.3 关于 NO_DATA_FOUND 和 %NOTFOUND的区别 4.1.4  使用游标更新和删除数据 4.2 游标变量 4.2.1  声明游标变量 4.2.2  游标变量操作 游标的使用  在 PL/SQL 程序中,对于处理多行记录的事务经常使用游标来实现. 4.1 游标概念  在PL/SQL块中执行SELECT.INSERT.DELETE和UPDATE语句时,ORACLE会在内存中为其分配上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYGlOp.html" rel="bookmark">SQL Server 隐式转换引发的躺枪死锁-程序员需知</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL Server 隐式转换引发的躺枪死锁-程序员需知 在SQL Server的应用开发过程(尤其是二次开发)中可能由于开发人员对表的结构不够了解,造成开发过程中使用了不合理的方式造成数据库引擎未按预定执行,以致影响业务.这是非常值得注意的.这次为大家介绍由于隐式数据类型转换而造成的死锁及相应解决方案. 现实中有些程序员/数据库开发者会根据数据库的处理机制实现一些应用,如抢座应用,可能会对事务中的查询加一些列的Hint以细化粒度,实现应用的同时使得影响最低,但也有可能因为一些小细节的欠缺			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlwQvb.html" rel="bookmark">Oracle数据库之PL&sol;SQL游标学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 游标概念 字面意思是游动的光标,是指向上下文区域的句柄或指针. 在PL/SQL块中执行CRUD操作时,ORACLE会在内存中为其分配上下文区.用数据库语言来描述游标就是:映射在上下文区结果集中一行数据上的位置实体. 用户可以使用游标访问结果集中的任意一行数据,将游标指向某行后,即可对该行数据进行操作.游标为应用提供了一种对具有多行数据查询结果集中的每一行数据分别进行单独处理的方法,是设计嵌入式SQL语句的应用程序的常用编程方式. 在每个用户会话中,可以同时打开多个游标,其最大数量由数据库初			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7ZGrz.html" rel="bookmark">Oracle之PL&sol;SQL学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自己在学习Oracle是做的笔记及实验代码记录,内容挺全的,也挺详细,发篇博文分享给需要的朋友,共有1w多字的学习笔记吧.是以前做的,一直在压箱底,今天拿出来整理了一下,给大家分享,有不足之处还望大家批评指正.   PL/SQL定义:PL/SQL是由Oracle开发,专门用于Oracle的程序设计语言. PL---Procedural Language. SQL-Structure QueryLanguage.PL/SQL包括过程化语句和SQL语句     PL/SQL的单位:块. 一个块中可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeKJqAM.html" rel="bookmark">PL&sol;SQL学习笔记&lpar;索引贴&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我前段时间写了T-SQL学习笔记得到了许多朋友的支持当然也有一些朋友提出了质疑,在此一并表示感谢最近项目中用到Oracle,于是萌生了写PL/SQL学习笔记的念头.同时也希望得到大家的支持或批评.并非常希望能和朋友们一起讨论相关知识. 这是一个有一点T-SQL基础的.刚入门者的学习笔记,以Oracle  10g为讲解对象没有涉及到高级话题如果对哪篇文章有疑问,可以在文章下留言我会尽快回复的 下面我为这个系列文章做一个索引 一: 常量变量及数据类型初步       1:常量变量       2:数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94Y0db.html" rel="bookmark">&lbrack;强烈推荐&rsqb;ORACLE PL&sol;SQL编程详解之七：程序包的创建与应用&lpar;聪明在于学习，天才在于积累！&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[强烈推荐]ORACLE PL/SQL编程详解之七:程序包的创建与应用(聪明在于学习,天才在于积累!) [强烈推荐]ORACLE PL/SQL编程详解之七:   程序包的创建与应用(聪明在于学习,天才在于积累!) --通过知识共享树立个人品牌.     继上七篇:            [推荐]ORACLE PL/SQL编程详解之一:PL/SQL 程序设计简介(千里之行,始于足下)            [顶]ORACLE PL/SQL编程详解之二:PL/SQL块结构和组成元素(为山九仞,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p523dqz.html" rel="bookmark">PL&sol;SQL学习笔记-常用函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此文章参考了网络上的一篇文章,并对原文做了补充和修改,并将不断补充和修改作者已佚,地址为:http://360doc.com/content/060307/10/2187_76452.html 一:字符函数 名称 功用 LOWER(xland) 将字符串表达式xland中的所有大写字母转换为小写字母 UPPER(xland) 将字符串表达式xland中的所有小写字母转换为大写字母 INITCAP(xland) xland字符串中首字母转换成大写     SUBSTR(xland,start,le			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPkZqM.html" rel="bookmark">PL&sol;SQL游标&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				游标的相关概念及特性定义映射在结果集中某一行数据的具体位置,类似于C语言中的指针.即通过游标方式定位到结果集中某个特定的行,然后根据业务需求对该行进行相应特定的操作.游标的分类显示游标:即用户自定义游标,专门用于处理select语句返回的多行数据隐式游标:系统自动定义的游标,记录集只有单行数据,用于处理select into 和DML语句游标使用的一般过程:显示游标:声明, 打开, 读取, 关闭隐式游标:直接使用读取,声明.打开.关闭都是系统自动进行的显示游标的过程描述a.声明游标CURSOR			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlABVp.html" rel="bookmark" class="title">Access数据库开发技巧</a>
					<div>
						在当前数据库领域,已有越来越多的人开始采用Access.它是一个功能强大的数据库管理系统和MIS系统开发工具,具有界面友好.易学易用.开发简单.接口灵活等特点.现将本人在使用Access时体会到的一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdAAmz.html" rel="bookmark" class="title">ASP技术在论坛中的运用。&lpar;四&rpar;</a>
					<div>
						文章显示模块 前面说过,一片具体的文章是分属在看板和主体之下的.因此显示文章也要经过看板列表和主体列表这两页面后,才能得到特定主题下文章的列表. 下面先来看看看板列表的显示页面: &lt; html& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKr5Lz.html" rel="bookmark" class="title">设计理论&colon;色彩是网站的最重要的一个部分</a>
					<div>
						色彩是您的网站的最重要的一个部分. 然而,颜色往往只是通盘决定之后的马后炮,有时候甚至被不管不顾.这样可不行.色彩帮助用户解读信息.   这张照片的颜色感觉如何?这些烟花感觉喜庆吗? 照片 来自 ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKN87z.html" rel="bookmark" class="title">网站快照回档的原因分析及解决办法</a>
					<div>
						网站的快照是站长们普遍关心的问题,它体现的是蜘蛛对网站的抓取频率,是网站权重的一个方面.在某个角度上看,我们可以通过快照的情况来看搜索引擎对网站的印象,可以当做是网站权重的一个小晴雨表,如果一个快照更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaGKnp.html" rel="bookmark" class="title">倒推法从用户体验角度浅谈SEO</a>
					<div>
						不管是谷歌还是百度,亦或者是其他的搜索引擎,他们有一个共同点,就是都是公司,说的直白点,就是以盈利为目的的企业法人,这个无可厚非,钱都是需要赚的,毕竟首先得养活公司这么多人,从这点上来讲,搜索引擎公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXD1Lp.html" rel="bookmark" class="title">关于操作系统重装</a>
					<div>
						操作系统需要重装 首先要搞清楚的是,这里所说的&quot;重装&quot;是什么意思?其实,所谓&quot;重装&quot;,是指重新安装操作系统,从目前的实际情况出发,估计普通用户中很少会有朋友去选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnQVDz.html" rel="bookmark" class="title">Windows phone 8&period;1开发中如何解决摄像头翻转问题（RuntimeApp篇）</a>
					<div>
						昨天,我非常马虎地给大家说了有关处理物理摄像头翻转的话题,今天,还是这个话题,而且内容不差,只是为了完整性,顺便也提供了运行时API的版本,其实实现起来与SL框架版本差不多,毕竟这两个框架都有不少AP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj0GOp.html" rel="bookmark" class="title">Head First C&num;中文版第二章 page47</a>
					<div>
						生成程序来创建可执行文件 当你选择生成菜单里的&quot;生成解决方案&quot;时,IDE就会编译你的程序.IDE通过运行编译器来把源文件生成为可执行文件.可执行文件就是双击可执行的.exe结尾的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr9B8p.html" rel="bookmark" class="title">学Java-留言板-服务接口的Hibernate实现</a>
					<div>
						以下是图片,不是文字					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaO2eM.html" rel="bookmark" class="title">excel2010怎么保存文件</a>
					<div>
						  excel2010怎么保存文件?保存文件具体有两种方式: 方法一: 在&quot;文件&quot;菜单下点击&quot;保存&quot;按钮,如下图所示: excel2010 在弹出的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN3AZM.html" rel="bookmark" class="title">一个显示效果非常不错的PHP错误、异常处理类</a>
					<div>
						 这篇文章主要介绍了一个显示效果非常不错的PHP错误.异常处理类,代码思路清晰,功能强大,需要的朋友可以参考下 一.效果图:         二.实现代码    代码如下:&lt;?php   //  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRk05p.html" rel="bookmark" class="title">没有开始菜单Win8系统如何关机</a>
					<div>
						在没有传统开始菜单的Windows8系统,关机成为了一个问题,很多用户很不习惯这种感觉,但是笔者要告诉大家,其实Windows8关机有很多种方式,也很容易,具体内容请往下看! Windows8关机方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72DYKp.html" rel="bookmark" class="title">ReplaceUI怎么用</a>
					<div>
						  1.下载并运行ReplaceUI xp登陆界面修改工具 2.点击&quot;浏览&quot;按钮 3.在&quot;选择登陆界面文件&quot;的窗口选择你需要使用的xp登陆界面文件 4.然后点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oKNab.html" rel="bookmark" class="title">dropdownlist-请问用C&num;开发的网站，部署在iis上不好用</a>
					<div>
						问题描述 请问用C#开发的网站,部署在iis上不好用 请各位大侠帮帮忙,C#用dropdownlist 的TextChanged 属性触发事件,在本地运行都好用,但部署在sever 2008的iis上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8j40p.html" rel="bookmark" class="title">关于用link获得抽象类的opcodes，请问这个用的是什么代码实现？</a>
					<div>
						问题描述 关于用link获得抽象类的opcodes,请问这个用的是什么代码实现? 关于用link获得抽象类的opcodes,请问这个用的是什么代码实现? 解决方案 http://www.codepro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmkWVz.html" rel="bookmark" class="title">linux命令--ldconfig和ldd用法</a>
					<div>
						一.ldconfig ldconfig是一个动态链接库管理命令,为了让动态链接库为系统所共享,还需运行动态链接库的管理命令--ldconfig. ldconfig 命令的用途,主要是在默认搜寻目录(/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV978b.html" rel="bookmark" class="title">c语言编程-求解答这两个的区别！（前两张图片），还有为什么不执行了（最后一张</a>
					<div>
						问题描述 求解答这两个的区别!(前两张图片),还有为什么不执行了(最后一张 解决方案 左边的翻译一下就是如果....如果.....,两个if语句都会执行的,右边的翻译一下就是如果......不然... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l7O3b.html" rel="bookmark" class="title">恩智浦S32 vs 英伟达Pegasus，谁的自动驾驶&OpenCurlyDoubleQuote;大脑&rdquo;将会从中胜出？</a>
					<div>
						雷锋网按:10月16日,荷兰半导体供应商恩智浦推出了&quot;全球首个完全可扩展计算架构S32&quot;,主要面向OEM和Tier 1供应商.它可以实现节点.软件和通用功能在汽车不同域.应用和So ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My36Dvz.html" rel="bookmark" class="title">linux信号量与完成量</a>
					<div>
						信号量:    是用于保护临界区的一种常用方法,它的使用和自旋锁类似.与自旋锁相同,只有得到信号量的进程才能执行 临界区的代码.但是与自旋锁不同的是,当获取不到信号量时,进程不会原地打转而是进入休眠等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBPZZb.html" rel="bookmark" class="title">wifi-笔记本当WiFi，不需要360WiFi</a>
					<div>
						问题描述 笔记本当WiFi,不需要360WiFi 之前看到不需要买360随身WiFi,直接在Windows里设置WiFi,好像是在控制面板里,知道的求解答,不需要话费人民币买360随身WiFi 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD7xkz.html" rel="bookmark" class="title">c语言问题 新手求解-司机与售票员问题o&lpar; &equals;&quest;&omega;&quest;&equals; &rpar;m求大神帮忙</a>
					<div>
						问题描述 司机与售票员问题o( =?ω?= )m求大神帮忙 如何用C语言模拟协调司机与售票员问题PV操作代码的设计与实现o( =?ω?= )m应该怎么做.求大神帮忙(*/ω＼*) 解决方案 无非就是生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRxa8b.html" rel="bookmark" class="title">Greenplum 如何直连segment节点</a>
					<div>
						直连greenplum segment节点的方法, utility模式 : 使用这种方式,不与其他节点通讯,只操作当前节点.也没有数据分布的概念. 如果使用utility模式连接的是master节点, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR3Eap.html" rel="bookmark" class="title">使用HIVE SQL实现推荐系统数据补全</a>
					<div>
						需求 在推荐系统场景中,如果基础行为数据太少,或者过于稀疏,通过推荐算法计算得出的推荐结果很可能达不到要求的数量. 比如,希望针对每个item或user推荐20个item,但是通过计算只得到8个,剩下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e0wYb.html" rel="bookmark" class="title">windows 7-有谁可以给个关于Windows 7操作系统方面的电子书籍或相关方面的资料，谢！</a>
					<div>
						问题描述 有谁可以给个关于Windows 7操作系统方面的电子书籍或相关方面的资料,谢! 本人邮箱:nuc2001@163.com或者Q我(50475864).谢谢! 解决方案 不是win7使用手册吧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnY2aM.html" rel="bookmark" class="title">如何让Jackson JSON生成的数据包含的中文以unicode方式编码&lowbar;java</a>
					<div>
						我们都知道,Jackson JSON以高速.方便和灵活著称.之前的文章中介绍过使用注解的形式来规定如何将一个对象序列化成JSON的方法,以及如何将一个JSON数据反序列化到一个对象上.但是美中不足的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RLZmz.html" rel="bookmark" class="title">JIRA的安装配置</a>
					<div>
						一.安装JDK+tomcat 1.下载JDK http://www.oracle.com/technetwork/java/javase/downloads/jdk-7u2-download-1377 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Edaz.html" rel="bookmark" class="title">java高手请进，一个学习问题 非常感谢</a>
					<div>
						问题描述 线程的理解比较抽象,无从入手,请教高手谈谈对线程的理解,最好用例子说明一下呀,非常感谢 解决方案 解决方案二:publicclassServerimplementsRunnable{publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX01G4p.html" rel="bookmark" class="title">nginx使用小记</a>
					<div>
						中文wiki社区:http://wiki.codemongers.com/NginxChs 一 . nginx安装 1. 下载nginx : http://sysoev.ru/nginx/downlo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqo1Op.html" rel="bookmark" class="title">android 通知-android通知按钮背景问题</a>
					<div>
						问题描述 android通知按钮背景问题 Android的notification如何让通过addAction()添加的按钮里的文字跟notification的Title文字一样设置成高亮状态.就像图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRGn1z.html" rel="bookmark" class="title">2006年，三大门户差异化各奔前程</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
